summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/cache/0011_index_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/cache/0011_index_0')
-rwxr-xr-xtests/shell/testcases/cache/0011_index_012
1 files changed, 12 insertions, 0 deletions
diff --git a/tests/shell/testcases/cache/0011_index_0 b/tests/shell/testcases/cache/0011_index_0
new file mode 100755
index 00000000..c9eb8683
--- /dev/null
+++ b/tests/shell/testcases/cache/0011_index_0
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -e
+
+RULESET="flush ruleset
+add table inet t
+add chain inet t c { type filter hook input priority 0 ; }
+add rule inet t c tcp dport 1234 accept
+add rule inet t c accept
+insert rule inet t c index 1 udp dport 4321 accept"
+
+$NFT -f - <<< "$RULESET"